from edgeiq import constants as constants, edge_tools as edge_tools, trt_ssd as trt_ssd
from edgeiq.human_pose import human_pose as human_pose
from typing import Any

TRT_LOGGER: Any
LOGGER: Any
SUPPORTED_FRAMEWORKS: Any
DNN_SUPPORTED_FRAMEWORKS: Any
CUDA_SUPPORTED_FRAMEWORKS: Any
MYRIAD_SUPPORTED_FRAMEWORKS: Any
TENSOR_RT_SUPPORTED_FRAMEWORKS: Any
TENSOR_RT_SUPPORTED_PURPOSES: Any
SUPPORTED_PURPOSES: Any
EXP_CONFIGS: Any

def get_model(model_id: Any): ...

class Model:
    labels: Any = ...
    net: Any = ...
    layer_names: Any = ...
    def __init__(self, model_path: Any) -> None: ...
    @property
    def id(self): ...
    @property
    def label_file(self): ...
    @property
    def colors_file(self): ...
    @property
    def config_file(self): ...
    @property
    def model_file(self): ...
    @property
    def mean(self): ...
    @property
    def scalefactor(self): ...
    @property
    def size(self): ...
    @property
    def purpose(self): ...
    @property
    def framework_type(self): ...
    @property
    def crop(self): ...
    @property
    def colors_dtype(self): ...
    @property
    def colors(self): ...
    @colors.setter
    def colors(self, colors: Any) -> None: ...
    @property
    def swaprb(self): ...
    @property
    def supported_engines(self): ...
    @property
    def softmax(self): ...
    @property
    def dnn_support(self): ...
    @property
    def dnn_myriad_support(self): ...
    @property
    def dnn_cuda_support(self): ...
    @property
    def tensor_rt_support(self): ...
    def load_to_dnn(self): ...
    def dnn_inference(self, image: Any): ...
    def get_inference_timing(self): ...
    def load_trt_ssd(self): ...
    def trt_ssd_inference(self, image: Any, confidence_level: Any): ...
    def load_to_tensor_rt(self): ...
    def trt_inference(self, image: Any): ...
